<template>
  <v-card
    class="mt-4 mx-auto"
    max-width="400"
    @click="$emit('click')"
    :loading="loading"
    height="250"
  >
    <v-sheet
      class="v-sheet--offset mx-auto"
      :color="card.color"
      elevation="12"
      max-width="calc(100% - 32px)"
    >
      <v-sparkline
        :labels="sparkline.labels"
        :value="sparkline.value"
        :line-width="sparkline.lineWidth"
        :type="sparkline.type"
        color="white"
        :gradient="['#FFFFFF']"
        padding="16"
      ></v-sparkline>
    </v-sheet>

    <v-card-text class="pt-0">
      <div class="body-height">
        <div class="title mb-2">{{ card.title }}</div>
        <div class="subheading">{{ card.body }}</div>
      </div>
      <v-divider class="my-2"></v-divider>
      <v-icon
        class="mr-2"
        small
      >
        mdi-clock
      </v-icon>
      <span class="caption grey--text">{{ card.footer }}</span>
    </v-card-text>
  </v-card>
</template>

<script>

export default {
  props:{
    sparkline: Object,
    card:Object,
    loading:Boolean,
  },
}
</script>

<style scoped lang="scss">
/* scope for encapsulate css */
.v-sheet--offset {
  top: -24px;
  position: relative;
}
.body-height{
  min-height:100px;
}
svg{
  color: white !important
}
</style>
